package com.muyu.common.domian.basic.abstracts;

import com.muyu.common.domain.DataValue;

public class DataTaskHandler {
    private static final ThreadLocal<Long> threadLocal = new ThreadLocal<>();

    public static void set(final Long taskId) {
        threadLocal.set(taskId);
    }

    public static <T> T get() {
        return (T) threadLocal.get();
    }

    public static void remove(){
        threadLocal.remove();
    }
}
